[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#707927: [xpdf] please build-depend on libxt-dev

Source: xpdf
User: openmotif@packages.debian.org
Usertags: lesstif2motif
Version: 3.03-10
Severity: normal
X-Debbugs-CC: openmotif@packages.debian.org

Hi Maintainer,

Your package build depends on libxt-dev but does not declare this
relation in the debian/control file. This is currently not a problem as
this is pulled in by the lesstif2-dev package that you do depend on.

In the near future we'd like to replace lesstif2 in Debian with the
relicensed (open-)motif package. Lesstif2 was originally created as a
free alternative for motif, but in the meantime became unmaintained and
buggy. Motif itself is now free and got its latest maintenance release
last year.

To ease the transition that will happen sometime soon, we will follow
up on this, please explicitly build-depend on libxt-dev, as we don't
intend to include the depends on libxt-dev in libmotif-dev.

Kind regards,
Paul & Graham.

Reply to: